version: 1
default_environment: dev
project_id: ***********
environments:
- name: dev
- name: staging
- name: prod
plugins:

  extractors:
  - name: tap-mssql
    variant: wintersrd
    pip_url: tap-mssql
    select:
    - dbo-client.*
    metadata:
      dbo-client:
        replication-method: FULL_TABLE
    
    
    config:
      host: *********
      database: *********
      user: *********
      port: '1433'
      tds_version: '7.3'
      use_date_datatype: false
      characterset: utf8

  
  loaders:
  - name: target-jsonl
    variant: andyh1203
    pip_url: target-jsonl

  - name: target-snowflake
    variant: meltanolabs
    pip_url: meltanolabs-target-snowflake
    config:
      account: *********
      add_record_metadata: false
      clean_up_batch_files: false
      database: *********
      default_target_schema: meltano
      flattening_enabled: false
      flattening_max_depth: 1000
      role: *********
      schema: meltano
      user: *********
      warehouse: *********
jobs:
- name: mssql-to-snowflake
  tasks:
  - tap-mssql
  - target-snowflake